
import { DispatcherManager } from "../Game/DispatcherManager";
import { ui } from "../ui/layaMaxUI";

export default class ShadeView extends ui.ShadeViewUI implements SC {


    constructor() {
        super();
        this.Resize();
        DispatcherManager.on(Laya.Event.RESIZE, this, this.Resize);
       
    }
    OnShow(data?: any) {
        this.RegButton();
    }
    RefreshUI() {
    }
    RefreshData() {
    }
    RegButton() {
        this.on(Laya.Event.CLICK,this,this.Test);
    }
    Test(){

    }

    OnClose() {
        DispatcherManager.off(Laya.Event.RESIZE, this, this.Resize);
        this.off(Laya.Event.CLICK,this,this.Test);
    }

    Resize() {
        this.height = Laya.stage.height;
    }
}